Bug 633827 - liveinst needs to pass --xdriver=* to anaconda when xdriver=* is in /proc/cmdline
Summary: liveinst needs to pass --xdriver=* to anaconda when xdriver=* is in /proc/cmd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 608992
TreeView+ depends on / blocked
 
Reported: 2010-09-14 13:49 UTC by Brian Lane
Modified: 2010-10-06 22:02 UTC (History)
4 users (show)

Fixed In Version: anaconda-14.17.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-22 04:08:14 UTC


Attachments (Terms of Use)

Description Brian Lane 2010-09-14 13:49:26 UTC
This is to support basic video in the Live CD, bug 608992. liveinst needs to grab xdriver from /proc/cmdline and add it to the command line passed to anaconda when it runs it.

Comment 1 Adam Williamson 2010-09-15 12:58:54 UTC
aiui, there's a 14.17.2 build planned for f14 beta, 14.18 will be for post-beta fixes, so please get this fix into that build...I'll test it soon. thanks!

Comment 2 Brian Lane 2010-09-15 14:44:28 UTC
Oops, hadn't realized we'd started using minor revs yet.

Comment 3 Adam Williamson 2010-09-15 16:25:25 UTC
I tested the patch by just booting a live CD and hand-patching liveinst before running it; it works great, the installed system gets an xorg.conf with vesa specified. Looks good to me.

Comment 4 Fedora Update System 2010-09-16 01:10:28 UTC
anaconda-14.17.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.17.2-1.fc14

Comment 5 Fedora Update System 2010-09-16 03:28:48 UTC
anaconda-14.17.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-14.17.2-1.fc14

Comment 6 Fedora Update System 2010-09-17 20:03:51 UTC
anaconda-14.17.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.17.3-1.fc14

Comment 7 Fedora Update System 2010-09-20 23:32:15 UTC
anaconda-14.17.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.17.4-1.fc14

Comment 8 Fedora Update System 2010-09-22 04:07:39 UTC
anaconda-14.17.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-10-06 22:02:58 UTC
anaconda-14.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.18-1.fc14


Note You need to log in before you can comment on or make changes to this bug.